KOPANO-ARCHIVER(8)

NAME
kopano-archiver - Manages kopano archives and performs the archive operation.

SYNOPSIS

kopano-archiver [OPTION...]

DESCRIPTION

This tool is used to attach or detach archives to a users store. An archive is defined as a special non-active store or a folder inside such a store.

On top of managing archives, this tool is used to perform the actual archive operation. Using the -u option, the archiver can be instructed to archive a single store or all stores.

ACTIONS

kopano-archiver needs an action command with the appropriate options. Valid actions are:

-l, --list
    List archives for the specified user. The -u option is required.

-L, --list-archiveusers
    List users that have an archive attached.

-A, --archive
    Perform an archive run. If a -u option is provided, only the store of one user will be archived. Otherwise all stores are archived. Optionally the --local-only option can be set to only archive stores that exist on the server to which kopano-archiver is connected (usually the local server).

-C, --cleanup
    Perform an archive cleanup run. If a -u option is provided, only the archives of one user will be cleaned. Otherwise all stores are cleaned. Optionally the --local-only option can be set to only cleanup archives of users that have their primary store on the server to which kopano-archiver is connected (usually the local server).

-a archive, --attach-to archive
    Attach an archive to the store of the user specified with the -u option. If no additional options are specified, a folder will be created in the archive store, which will act as the root of the archive for the user. The foldername will be set to the username of the user. This behavior can be changed by providing the --archive-folder or --no-folder option.

-d archive, --detach-from archive
    Detach an archive from the store of the user specified with the -u option. kopano-archiver will automatically determine which folder to detach. However if a user has two archives in one archive store, kopano-archiver won't be able to tell which one needs to be detached. In this case the folder needs to be specified with the --archive-folder option.

-D archiveno, --detach archiveno
    Detach an archive from the store of the user specified with the -u option. The archive to detach is indicated by archiveno and can be obtained by running kopano-archiver -u username -l

--auto-attach
    When no user is specified with -u, all users will have their archives attached or detached based on the LDAP/ADS settings. If a user is specified only that user's store will be processed. This option can be combined with -A to force an auto-attach run regardless of the enable_auto_attach configuration option.

OPTIONS

The options used by actions are as follows:

-u username
    Use this parameter to specify a user on which store to perform the provided action.

--local-only
    If this option is passed when an archive run is started, only stores that exist on the server to which kopano-archiver is connected will be archived.

--archive-folder foldername
    Use this option to force kopano-archiver to create the archive folder with a different name than the username of the user for whom to attach an archive.

--archive-server serverpath
    Use this option to specify the path to the archive server. This is useful when using the archiver in a non-multiserver setup.

--no-folder
    Use this option to force kopano-archiver to create the root of the archive in the root of the archive store (IPM subtree). This way only one user store can be attached to an archive.

-w
    By default kopano-archiver makes an archive read-only for the user. By passing this option, the user will get read/write permissions in the attached archive.

    This will override the auto_attach_writable configuration options when auto attaching archives.

--writable yes|no
    Explicitly enable or disable write permissions when (auto) attaching archives.

    This will override the auto_attach_writable configuration options when auto attaching archives.

-c file
    Select an alternate config file to be used by kopano-archiver.

    Default: /etc/kopano/archiver.cfg

EXAMPLES

For attaching an archive:

kopano-archiver -u username --attach-to archive

For attaching an archive with a custom archive name:

kopano-archiver -u username --attach-to archive --archive-name archivename

For attaching an archive without an archive folder:

kopano-archiver -u username --attach-to archive --no-folder

For detaching an archive:

kopano-archiver -u username --detach-from archive

For starting an archive run:

kopano-archiver -A

For starting an archive run for one user:

kopano-archiver -u username -A

For starting a cleanup run:

kopano-archiver -C

For starting a cleanup run for one user:

kopano-archiver -u username -C

AUTHOR

Written by Kopano.

SEE ALSO

kopano-server(8), kopano-archiver.cfg(5)